# cmd_helper.h File Reference

Helper functions to extract data from command parameters. More...

`#include "direction_type.h"`
`#include "road_type.h"`

Go to the source code of this file.

## Data Structures
struct | ExtractBits< Axis >
struct | ExtractBits< DiagDirection >
struct | ExtractBits< RoadBits >
## Functions
template<uint N>
static void | ExtractValid ()
template<>
void | ExtractValid< 1 > ()
template<typename T, uint N, typename U>
static T | Extract (U v)

## Detailed Description

Helper functions to extract data from command parameters.

Definition in file cmd_helper.h.